%define momorel 8
Summary: shared library for C like extension language (UTF-8 version)
Name: slang
Version: 1.4.9
Release: %{momorel}m
License: GPL
Group: System Environment/Libraries
Source: ftp://ftp.jedsoft.org/pub/davis/slang/v1.4/slang-%{version}.tar.bz2
Source1: README.UTF-8
# NoSource: 0

Patch1: http://www.emaillab.org/mutt/tools/slang-1.4.8-utf8.diff.gz
Patch2: http://www.emaillab.org/mutt/tools/slang-1.4.8-utf8-acs.diff.gz
Patch3: slang-utf8-fix.patch
Patch4: slang-1.4.9-buffer.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
# Provides: slang
# Obsoletes: slang-ja, slang
# Conflicts: jed
Obsoletes: slang-utf8, slang-utf8-devel
URL: http://www.s-lang.org/

%description
Slang (pronounced ``sssslang'') is a powerful stack based interpreter
that supports a C-like syntax.  It has been designed from the beginning
to be easily embedded into a program to make it extensible. Slang also
provides a way to quickly develop and debug the application embedding it
in a safe and efficient manner.  Since slang resembles C, it is easy to
recode slang procedures in C if the need arises.

%package devel
Summary: static library and header files for slang C like language (UTF-8)
Group: Development/Libraries
# Provides: slang-devel
# Obsoletes: slang-ja-devel, slang-devel
Obsoletes: slang-utf8-devel
Requires: %name = %{PACKAGE_VERSION}-%{release}

%description devel
This package contains the slang static libraries and header files
required to develop slang-based applications.  It also includes 
documentation to help you write slang-based apps.

%prep
%setup -q -n slang-%{version}
%patch1 -p1 -b .utf8~
%patch2 -p1 -b .acs~
%patch3 -p1 -b .utf8-fix~
%patch4 -p1 -b .buffer~

cp %{SOURCE1} .

chmod +x configure

%build
perl -p -i -e 's/(ELF_CFLAGS=\"[^\"]*)-O2([^\"]*\".*)/$1 %{optflags} $2/gs' configure
cp /usr/share/libtool/config.{sub,guess} autoconf
%configure --includedir=%{_includedir}/slang
perl -p -i -e 's|fstack|fno-stack|' src/Makefile
make %{?_smp_mflags} elf all

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_includedir}/slang

%makeinstall \
     install_lib_dir=%{buildroot}%{_libdir} \
     install_include_dir=%{buildroot}%{_includedir}/slang install-elf
ln -sf libslang-utf8.so.%{version} ${RPM_BUILD_ROOT}%{_libdir}/libslang-utf8.so.1
ln -sf libslang-utf8.so %{buildroot}%{_libdir}/libslang.so
ln -sf libslang-utf8.a %{buildroot}%{_libdir}/libslang.a

chmod +x %{buildroot}%{_libdir}/libslang*.so.*

# remove unpackaged files from the buildroot
rm -rf %{buildroot}%{_prefix}/doc

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libslang*.so.*

%files devel
%defattr(-,root,root)
%doc doc/* README.UTF-8
%{_libdir}/libslang*.a
%{_libdir}/libslang*.so
%{_includedir}/slang

%changelog
* Fri Feb 18 2005 Toru Hoshina <t@momonga-linux.org>
- (1.4.9-8m)
- revised spec so the static library avoid stack protection.

* Fri Dec  3 2004 TAKAHASHI Tamotsu <tamo>
- (1.4.9-7m)
- Patch4: slang-1.4.9-buffer.patch
 + * Wed Nov 03 2004 Adrian Havill <havill@redhat.com> 1.4.9-7
 + - fixed potentional two buffer overflows (#120291)

* Fri Aug 27 2004 Tsutomu Yasuda <tom@tom.homelinux.org>
- (1.4.9-6m)
  added libslang-nossp.a

* Thu Dec  5 2003 Masahiro Takahata <takahata@momonga-linux.org>
- (1.4.9-5m)
- modify spec file

* Sat Oct  4 2003 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.4.9-4m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)

* Wed May 14 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (1.4.9-3m)
- rename to slang from slang-utf8

* Wed May 14 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (1.4.9-2m)
- sync with rawhide(slang-1.4.5-16)
- use %%{_smp_mflags}

* Sat Apr 12 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.4.9-1m)
- update to 1.4.9
- delete define ver
- use rpm macros

* Sat Feb 01 2003 TAKAHASHI Tamotsu
- (1.4.8-1m)
- ACS chars are mapped to UTF-8 (acs patch)
- doc/README doc/OLD doc/internal/* doc/text/* doc/tm/* -> doc/*

* Mon Jan 27 2003 TAKAHASHI Tamotsu
- (1.4.5-3m)
- update patch
- update source location
- libslang -> libslang-utf8 (utf8hack patch)
- include/slang -> include/slang-utf8
- comment out Provides, Obsoletes, Conflicts
- devel: Requires the same release

* Fri Apr 19 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (slang-utf8-1.4.5-2k)
- update to 1.4.5

* Mon Feb  4 2002 Tamotsu TAKAHASHI <arms405@jade.dti.ne.jp>
- (slang-utf8-1.4.4-2k)
- renamed
- applied EGE's utf-8 patch, and removed jp patch
- changed url
- decided to conflict with jed

* Sun Mar 25 2001 Toru Hoshina <toru@df-usa.com>
( 1.4.4-2k)

* Sun Dec  3 2000 Toru Hoshina <toru@df-usa.com
- R.I.P, slang-ja...

* Sat Oct 28 2000 Toru Hoshina <toru@df-usa.com>
- version up (1.4.2jp0-1k)

* Tue Jul 25 2000 Toru Hoshina <t@kondara.org>
- rebuild against glibc 2.1.91.

* Thu Jun 20 2000 Toru Hoshina <t@kondara.org>
- version up.

* Wed May 17 2000 MATSUDA, Daiki <dyky@df-usa.com>
- Modify the bug that libslang-ja.so.1 is not made in ldconfig on alpha architecture

* Fri Mar 31 2000 AYUHANA Tomonori <l@kondara.org>
- SPEC fixed ( Group, BuildRoot, Summary, description )

* Sat Mar 11 2000 Kikutani Makoto <g@kondara.org>
- new upstream version
- remove skktcp

* Sat Dec 18 1999 Tenkou N. Hattori <tnh@kondara.org>
- Package name is changed to slang-ja.

* Sun Nov 7 1999 Toru Hoshina <t@kondara.org>
- be a NoSrc :-P

* Sun Aug 11 1999 Toru Hoshina <Hoshina@best.com>
- version up to 1.3.8-j067.

* Mon Jun 14 1999 Toru Hoshina <Hoshina@best.com>
- version up to 1.3.7-j065. Guhaaaa :-)

* Wed Jun 9 1999 Toru Hoshina <Hoshina@best.com>
- version up to 1.3.7-j064.

* Thu May 27 1999 Toru Hoshina <Hoshina@best.com>
- version up to 1.3.6-j064.

* Tue May 18 1999 Tenkou N. Hattori <tnh@aurora.dti.ne.jp>
- revision up to 1.3.5-j063.

* Tue Mar 16 1999 Toru Hoshina<hoshina@best.com>
- rebuild against rawhide 1.2.9

* Wed Mar  3 1999 Toru Hoshina <hoshina@best.com>
- revision up.

* Sat Feb 20 1999 Toru Hoshina <hoshina@best.com>
- added tcp.c that is the source file for "skktcp" supplementary utility.

* Wed Jan 06 1999 Toru Hoshina <hoshina@best.com>
- bug fix. make sure to be enabled 'ESC' key ;-P

* Sat Nov 21 1998 Toru Hoshina <hoshina@best.com>
- re-build against RedHat 5.2 under libwcsmbs.

* Mon Oct 26 1998 Toru Hoshina <hoshina@best.com>
- revision up to J054.

* Sun Aug 23 1998 Toru Hoshina <hoshina@best.com>
- revision up. Package name is changed to slang_jp in order to be coexist with slang 0.xx.

* Mon Jul  6 1998 Toru Hoshina <hoshina@best.com>
- First release.
